compareCdfs {affxparser} | R Documentation

## Compares the contents of two CDF files

### Description

Compares the contents of two CDF files.

### Usage

    compareCdfs(pathname, other, quick=FALSE, verbose=0, ...)

### Arguments

`pathname` | The pathname of the first CDF file.
`other` | The pathname of the seconds CDF file.
`quick` | If `TRUE`, only a subset of the units are compared, otherwise all units are compared.
`verbose` | An `integer`. The larger the more details are printed.
`...` | Not used.

### Details

The comparison is done with an upper-limit memory usage, regardless of the size of the CDFs.

### Value

Returns `TRUE` if the two CDF are equal, otherwise `FALSE`. If `FALSE`, the attribute `reason` contains a string explaining what difference was detected, and the attributes `value1` and `value2` contain the two objects/values that differs.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

`convertCdf`().

[Package affxparser version 1.6.2 Index]